<!-- Extends DocBook DSSSL 1.72 to process extensions for define -->
<!-- Extensions released to the public domain. No warranties. -->
<!-- http://structio.sourceforge.net -->

<!-- To use this, create a stylesheet extending DocBook DSSSL,  define an 
     ENTITY in the internal DTD like:
	<!ENTITY docbookdef-tex.dsl SYSTEM "path/docbookdef_tex.dsl">
     and in the body of your stylesheet include it:
	&docbookdef-tex.dsl;
-->

;;We don't process para with resp or sig in role attribute
(element para
 (if (or (equal? (attribute-string "role") "resp")
         (equal? (attribute-string "role") "sig") )
     (empty-sosofo)
     ($paragraph$)
     )
 )

<!-- The next one is copied from print/dbblock.dsl in original
	DocBook DSSSL 1.72 -->
(element (footnote para)
  ;; Note: this can only get called if the backend is 'tex
  ;; If the backend is anything else, footnote never calls process
  ;; children except in endnote-mode, so this doesn't get called.
  (let ((fnnum  (footnote-number (parent (current-node)))))
    (if (= (child-number) 1)
        (make paragraph
          font-size: (* %footnote-size-factor% %bf-size%)
          font-posture: 'upright
          quadding: %default-quadding%
          line-spacing: (* (* %footnote-size-factor% %bf-size%)
                           %line-spacing-factor%)
          space-before: %para-sep%
          space-after: %para-sep%
          start-indent: %footnote-field-width%
          first-line-start-indent: (- %footnote-field-width%)
          (make line-field
            field-width: %footnote-field-width%
            (literal fnnum
                     (gentext-label-title-sep (normalize "footnote"))))
          (process-children-trim))
        (make paragraph
          font-size: (* %footnote-size-factor% %bf-size%)
          font-posture: 'upright
          quadding: %default-quadding%
          line-spacing: (* (* %footnote-size-factor% %bf-size%)
                           %line-spacing-factor%)
          space-before: %para-sep%
          space-after: %para-sep%
          start-indent: %footnote-field-width%
          (process-children-trim)))))



